@font-face {
    font-family: "Felidae";
    src: url("fonts/Felidae.ttf") format("truetype");
}

@font-face {
    font-family: "Novelist";
    src: url("fonts/Novelist_free.otf") format("truetype");
}
@font-face {
    font-family: "Dihjauti";
    src: url("fonts/Dihjauti-Regular.otf") format("truetype");
}
@font-face {
    font-family: "Caravan";
    src: url("fonts/Caravan.otf") format("truetype");
}

@font-face {
    font-family: "ZT";
    src: url("fonts/ZTNeueRalewe-Regular.ttf") format("truetype");
}

@font-face {
    font-family: "Betmo";
    src: url("fonts/Betmo Regular Cyr.otf") format("truetype");
}

@font-face {
    font-family: "French";
    src: url("./fonts/FrenchKissscript.ttf");
}

@font-face {
    font-family: "Santa Catarina";
    src: url("./fonts/Santa Catarina.ttf");

}

@font-face {
    font-family: "Katherine";
    src: url("./fonts/Miss_Katherine_Cyrillic_Script.ttf");

}

* {
    margin: 0;
    padding: 0;
    /*font-family: "Cormorant Infant", sans-serif;*/
    font-family: "Poiret One", sans-serif;


}
html, body {
    overflow-x: hidden;
}

.watermark {
    content: "ya-invite";
    position: fixed;
    font-size: 80px;
    color: rgba(0, 0, 0, 0.08);
    transform: rotate(-25deg);
    pointer-events: none;
    z-index: 55555;
    white-space: nowrap;
    font-weight: 600; /* выглядит аккуратнее */
}



body::after {
    content: "ya-invite";
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-25deg);
    font-size: 80px;
    color: rgba(0,0,0,0.08);
    pointer-events:none;
    z-index:5555555;
    white-space:nowrap;
}

html::after {
    content: "ya-invite";
    position: fixed;
    top: 80%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-25deg);
    font-size: 80px;
    color: rgba(0,0,0,0.08);
    pointer-events:none;
    z-index:555555;
    white-space:nowrap;
}
.container {
    max-width: 1100px;
    margin: 0 auto;
}

.hidden {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.hid {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.8s ease-out, transform 3s ease-out;
}

.hidden-his {
    opacity: 0;
    transform: translateY(-50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.hidden-left {
    opacity: 0;
    transform: translateX(-50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}
.hidden-center {
    opacity: 0;
    transform: scale(0.8);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}
.hidden-right {
    opacity: 0;
    transform: translateX(50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

/* Когда элементы становятся видимыми */
.show {
    opacity: 1;
    transform: translateY(0);
}

#preloader {
    max-width: 600px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: black;
    position: fixed;
    width: 100%;
    height: 100%;
    /*display: flex;*/
    /*align-items: center;*/
    /*padding: 50px 0;*/
    /*justify-content: center;*/
    color: white;
    /*font-size: 24px;*/
    font-family: Arial, sans-serif;
    flex-direction: column;
    opacity: 1;
    transition: opacity 1s ease;
    text-align: center;
    overflow: hidden;
    background-image: url("././images/bg.png");
    background-size: cover;
    background-position: top;
    /*background-image: url("images/bg.jpg");*/
    /*background-size: cover;*/
    /*background-position: center;*/
    background-repeat: no-repeat;
    background-attachment: fixed;
}
/*#preloader::before {*/
/*    content: "";*/
/*    position: absolute;*/
/*    inset: 0;*/
/*    background: rgba(0, 0, 0, 0.5); !* затемнение 50% *!*/
/*    z-index: 1;*/
/*}*/

#preloader > * {
    position: relative;
    z-index: 2; /* текст и контент выше затемнения */
}
#bg-video {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: translate(-50%, -50%);
    z-index: -1;
}

.preloader-text {
    position: relative;
    z-index: 1;
    /*background: rgba(0, 0, 0, 0.3); !* Затемнённый фон для текста *!*/
    /*padding: 70px;*/
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;

}

#content {
    display: none;
    opacity: 0;
    transition: opacity 1s ease;
}


.preloader-wed-day, .preloader-name, .razblock, .open-btn img {
    opacity: 0;
    transform: scale(0.8);
    animation: fadeInScale 1s ease-out forwards;
}
#preloader .open-btn {
    position: fixed;  /* фиксируем относительно окна */
    top: 120px;     /* отступ снизу */
    left: 50%;        /* по центру по горизонтали */
    transform: translateX(-50%); /* центрируем точно */
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 26px;
    justify-content: center;
}
.open-btn img {
    width: 300px;
}
#music-toggle {
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 50%;
    padding: 10px 10px 12px 12px;
    font-size: 20px;
    cursor: pointer;
    width: 50px;
    height: 50px;
    box-sizing: border-box;
    border: 1px solid gray;
    transition: background-color 0.3s;
}
#music-toggle:hover {
    background-color: rgba(255, 255, 255, 0.5);
}
@keyframes fadeInScale {
    from {
        opacity: 0;
        transform: scale(0.8);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}

/*.open-btn {*/
/*    position: relative;*/
/*    !*width: 100px; !* Задайте нужный размер *!*!*/
/*    !*height: 100px;*!*/
/*    display: flex;*/
/*    align-items: end;*/
/*    justify-content: center;*/
/*    margin: 200px auto;*/
/*}*/

.pulse-heart {
    width: 50px; /* Размер сердечка */
    height: 50px;
    animation: heartPulse 1s infinite;
    z-index: 2;
}

.pulse-circle {
    position: absolute;
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background-color: rgba(255, 253, 253, 0.3);
    animation: circlePulse 2s infinite;
    z-index: 1;
}

@keyframes heartPulse {
    0%, 100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.5);
    }
}

@keyframes circlePulse {
    0% {
        transform: scale(1);
        opacity: 0.6;
    }
    70% {
        transform: scale(2);
        opacity: 0;
    }
    100% {
        transform: scale(1);
        opacity: 0;
    }
}

.preloader-wed-day {
    font-size: 50px;
    font-family: "Betmo", sans-serif;
    animation-delay: 0.3s;
}

.preloader-name {
    font-size: 65px;
    margin: 30px 0 50px 0;
    font-family: "Felidae", sans-serif;
    animation-delay: 0.8s;
}

.preloader-name.fraza {
    font-size: 30px;
    margin-bottom: 30px;
    font-family: "Felidae", sans-serif;
    animation-delay: 0.6s;
}

.razblock, .open-btn img{
    animation-delay: 0.9s;
    /*margin-top: 100px;*/
}


@keyframes fadeInScale {
    from {
        opacity: 0;
        transform: scale(0.8);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}

.photo-slider {
    margin: 30px auto;
    display: flex;
    gap: 20px; /* Расстояние между фото */
    overflow: hidden;
    justify-content: center;
    align-items: center;
    width: fit-content;
    position: relative;
    object-fit: cover;
    animation: slide 6s ease-in-out infinite alternate;
}


img.photo2 {
    width: 150px !important; /* Размер фото */
    height: 230px;
    object-fit: cover;
}

img.photo1 {
    width: 130px !important; /* Размер фото */
    height: 200px;
    object-fit: cover;
}

@keyframes slide {
    0% {
        transform: translateX(-30px);
    }
    100% {
        transform: translateX(0px);
    }
    /* Движение вправо */
}
.invite-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: white;
    margin-bottom: 40px;

}
.love {
    margin-top: 50px;
}
.words {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 50px;

}
.wedding {
    margin-right: 50px;
    padding: 3px 10px 5px 10px;
    border-radius: 30px;
    border: 1px solid white;
}
.invite {
    max-width: 600px;
    margin: 0 auto;
    background-image: url("././images/DSC_2049.jpg");
    position: relative;
    text-align: center;
    background-size: cover;
    height: 715px;
    background-position: top;
    background-repeat: no-repeat;
    /*padding: 50px 0 100px 0;*/
    background-color: #f9f9f9;

    z-index: 1;

}

.invite::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.3); /* затемнение 50% */
    z-index: 1;
}

.invite > * {
    position: relative;
    z-index: 2; /* текст и контент выше затемнения */
}
.name-his, .name-her {
    font-family: "Felidae", sans-serif;
    color: #3f3731;
    font-size: 70px;

    font-weight: bold;
}


.image {
    width: 500px;
    height: 800px;
    margin: 0 auto;
}
.invite img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.invite .name {
    font-family: "Betmo", sans-serif;
}

.invite-name.name, .invite-name, .invite-text-one, .invite-text-two, .vertical-line {
    opacity: 0;
    transform: scale(0.8);
    animation: fadeInScale 1s ease-out forwards;
}

/* Задержки для последовательного появления */
.name {
    animation-delay: 0.3s;
}

.invite-text-one, .vertical-line, .invite-text-two {
    animation-delay: 0.8s;
}

/*.invite-text-one.inv-text {*/
/*    opacity: 1;*/
/*    transform: none;*/
/*    filter: none;*/
/*    animation: none;*/
/*}*/

/* Анимация плавного появления с середины */
@keyframes fadeInScale {
    from {
        opacity: 0;
        transform: scale(0.8);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}

.invite-name {
    color: #706556;
    font-size: 60px;
    white-space: nowrap;
    overflow: hidden;
    display: inline-block;
    opacity: 1;
    font-family: "Felidae", sans-serif;
    z-index: 2;
    position: relative;
    text-align: left;
    padding: 80px 0;

}

.invite-name span {
    font-family: "Great Vibes", sans-serif;
    opacity: 0;
    transform: translateY(10px);
    display: inline-block;
    animation: fadeIn 0.8s forwards ease-in-out;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(10px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.invite-name .simvol {
    /*font-family: "Felix Titling", sans-serif;*/
    /*font-family: "Algerian", sans-serif;*/
    font-family: "French", sans-serif;
    /*font-size: 100px;*/
}



.program-title, .location-text-title, .wishes-title, .organizer-title, .location-title, .presence-title, .timout-title {
    font-size: 65px;
    margin-bottom: 30px;
    color: #3f3731;
    font-family: "Felidae", sans-serif;
}
.dresscode-title {
    position: relative;
    font-weight: bold;
    font-size: 68px;
    margin-bottom: 30px;
    color: #3f3731;
    z-index: 100;
    font-family: "Felidae", sans-serif;
}
.dresscode-title.details-title {
    position: absolute;
    color: #9d0606;
    top: -330px;
    left: 99px;
    font-family: "ZT", sans-serif;
    font-weight: normal;
    z-index: 100;
    overflow: visible;

}
.det {
    position: absolute;
    top: 0px;
    right: 0;
    font-size: 22px;
    font-family: "Felidae", sans-serif;

}
.d{
    font-family: "ZT", sans-serif;
    text-align: justify;
    font-size: 850px;
    line-height: 0.75;
    transform: translateY(-140px);
    margin-left: -38px;
    z-index: 10;
    position: relative;
    overflow: hidden;
    color: #9d0606;

}

.dresscode-title.dress {
    position: absolute;
    left: 10px;
    top: 432px;
    transform: rotate(-90deg);
    transform-origin: left top;
    font-weight: bold;
    font-size: 68px;
    letter-spacing: 2px;
    white-space: nowrap;
}
.dresscode-title.photoandvideo {
    position: absolute;
    left: 10px;
    top: 440px;
    transform: rotate(-90deg);
    transform-origin: left top;
    font-weight: bold;
    font-size: 55px;
    letter-spacing: 2px;
    white-space: nowrap;
}
.dresscode-title.organizer-title-block {
    position: absolute;
    left: 10px;
    top: 350px;
    transform: rotate(-90deg);
    transform-origin: left top;
    font-weight: bold;
    font-size: 55px;
    letter-spacing: 2px;
    white-space: nowrap;
}
.program, .organizer, .location, .dresscode, .wishes, .presence,
.word-love, .dear, .obraz {
    background-color: #f9f9f9;
}
.obraz {
    position: relative;
}
.location .loc {
    color: white;
    font-size: 22px;
    text-align: right;
    margin-right: 20px;
    font-family: "Felidae", sans-serif;
}
.word-loc {
    background-color: #9d0606;
}

.word-love p{
    font-family: "ZT", sans-serif;
    text-align: justify;
    font-size: 99vw;
    line-height: 0.75;
    color: #9d0606;
    margin-left: -43px;
    transform: translateY(-40px);
    z-index: 1;
    position: relative;
    overflow: hidden;

}


.word-love p.tion {
    margin-left: -3px;

}
.word-love {
    overflow: visible;
    position: relative;
    width: 100%;

}
.word-loc p {
    color: white;
    transform: translateY(0);
    font-size: 48vw;
    margin-left: -17px;
}
.calendar-section {
    background-color: #f9f9f9;
    position: relative;
    text-align: center;
    padding: 50px 0;
}
.calendar {
    max-width: 100%;
    padding: 15px;
    text-align: center;
    /*background-color: white;*/
    display: inline-block;
    /*box-shadow: 0 0 15px rgba(2, 2, 2, 0.6);*/
}

.calendar-date {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
    justify-content: center;
}

.calendar-date .month,
.calendar-date .year {
    font-size: 30px;
}

.days {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 0px;
    font-size: 20px;
    justify-items: center;
    justify-content: center;
}

.day {
    padding: 10px;
    width: 30px;
    height: 30px;
    position: relative;
}

.day.empty {
    background: transparent;
}

.heart {
    font-size: 46px;
    position: absolute;
    bottom: -23px;
    right: -22px;
    z-index: 55;
    color: #c69870;
}

.heart svg {
    width: 100px;
    height: 100px;
}

.main {
    padding: 0 0 50px 0;
    background-color: #f9f9f9;
    position: relative;
    overflow: hidden;
    width: 100vw;

}

.main img {
    position: absolute;
    top: 48px;
    width: 860px;
    right: -84px;
}

.main-info {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.dear {
    padding-bottom: 70px;
}
.dear-title {
    font-size: 46px;
    margin-bottom: 30px;
    text-align: right;
    font-weight: bold;
}
.dear-text {
    font-size: 22px;
}
.photo-love {
    position: relative;
    z-index: 0;
}
.photo-love-image {
    width: 100%;
    height: auto;
}
.overlay, .overlay-two {
    position: absolute;
    color: #9d0606;
    font-size: 220px;
    font-family: "Caravan", sans-serif;
}
.just, .married {
    font-size: 180px;
}
.overlay {
    top: -86px;
    left: 0px;
    rotate: -5deg;
}
.overlay.odna {
    top: -86px;
    left: 15px;
    rotate: -5deg;
}
.overlay.just {
    top: -70px;
    left: 45px;
    rotate: -5deg;
}
.overlay-two {
    top: -45px;
    left: 132px;
    rotate: -5deg;

}
.overlay-two.life {
    top: -45px;
    left: 151px;
    rotate: -5deg;

}
.overlay-two.married {
    top: -14px;
    left: 74px;
    rotate: -5deg;

}
.no-fonts {
    margin-top: 280px;
    font-size: 36px;
    color: white;
    text-align: right;
}
.invite-text-one {
    width: 293px;
    margin: 0 auto;
}
.invite-text-one p {
    font-family: "ZT", sans-serif;
    color: white;
    font-size: 60px;
    margin: 0;
    line-height: 0.8;
}
.invite-text-two {
    color: white;
}
 .his-name {
    text-align: left;
     padding-bottom: 0px;
     position: relative;
}
 .his-name span {
     font-family: "ZT";
     font-size: 30px;
     position: absolute;
     right: 60px;
     top: 20px;
 }
 .her-name {
     padding-top: 0;
     text-align: right;
 }
.btn {
    margin-top: 20px;
    display: inline-block;
    padding: 7px 20px 10px 20px;
    color: white;
    border-radius: 30px;
    text-decoration: none;
    border: 1px solid white;

}
.btn-wrapper {
    position: relative;
    z-index: 10;
}
.music-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 50px;
    gap: 30px;
    margin-bottom: 30px;
}

.music-button {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    order: 2;
}


.music-btn {
    width: 50px;
    height: 50px;
    background: transparent !important;
    border: 1px solid #3f3731;
    border-radius: 50%;
    color: #3f3731;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    cursor: pointer;
    position: relative;
    z-index: 2;
    order: 2;
}


.music-text {
    font-size: 30px;
    text-align: left;
    color: #706556;
    order: 1;
}

@keyframes pulse {
    0% {
        transform: scale(1);
        opacity: 0.8;
    }
    100% {
        transform: scale(1.5);
        opacity: 0;
    }
}

.main h2 {
    font-size: 62px;
    color: #3f3731;
    margin-bottom: 20px;
}

.location {
    display: flex;
    /*align-items: center;*/
    justify-content: center;
    flex-direction: column;
    gap: 0;
    background-color: #f9f9f9;

}

.location {
    padding: 120px 0 0px 0;
    overflow: hidden;
    background-color: #9d0606;
    color: white;

}

.wed-date-text {
    max-width: 350px;
    width: 50%;
    color: #3f3731;
}

.wed-date-text-title {
    font-size: 40px;
    font-weight: bold;
    text-align: center;
    margin-top: 50px;
    font-family: "Felidae", sans-serif;
}

.location-text-title {

    text-align: center;

    color: #3f3731;


}

.location-text-info {
    font-size: 23px;
    text-align: left;
}

.wed-date-text-date {
    font-size: 50px;
    font-weight: bold;


    text-align: center;

}

.wed-date-image, .location-date-image {
    width: 50%;

}
.loc-img {

    width: 260px;
    height: 391px;
    margin: 20px auto;
}
.loc-img img{
    object-fit: contain;
    width: 100%;
    height: 100%;
    border-radius: 20px;
}
.location-text-map {
    height: 690px;
    display: flex;
    align-items: normal;
    justify-content: center;
    margin-top: 30px;
    text-align: center;
}
/*.location-text-map .container {*/
/*    position: relative;*/

/*}*/
.location-address {
    position: relative;
}
.location-text-map img {
    display: block;
    max-width: 100%;
    height: auto;

}
.location-text-map a {
    position: absolute;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    text-decoration: none;
    color: white;
    font-size: 20px;
    border-radius: 30px;
    width: 80%;
    border: 1px solid white;
    padding: 10px 15px 15px 15px;
    box-sizing: border-box;
}

.location-text-map a:hover {
    border: 1px solid #4f4a45;
    color: white;
    fill: white;
    background-color: #4f4a45;
}



.location-text-map a:hover svg path {
    fill: white;
}

.location-text {
    margin-top: 50px;

}

.wed-date-image img {
    width: 100%;
    height: 560px;
    object-fit: cover;
    object-position: -95px 0;
}

.location-date-image img {
    width: 100%;
    height: 560px;
    object-fit: cover;
    /*clip-path: inset(0px 50px 0px 50px);*/
    object-position: -110px 0;
}

.photo-table {
    height: 250px;
    overflow: hidden;
    width: 100%;
}

.photo-table img {
    object-position: 0 -400px;
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.photo-table img.img-img {
    object-position: 0 -191px;
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.program {
    padding-top: 50px;
    padding-bottom: 100px;
    overflow: hidden;

}

.program .container {
    text-align: center;

}

.program-title {
    position: relative;
}



.timeline {
    display: flex;
    flex-direction: column;
    align-items: center;

}


.event {
    width: 76%;
    display: flex;
    flex-direction: column;
    margin-bottom: 40px;
}
.event:nth-child(odd) {
    align-self: flex-start; /* Выравниваем элементы в нечетных событиях слева */
}

.event:nth-child(even) {
    align-self: flex-end; /* Выравниваем элементы в четных событиях справа */
}
.time-info {
    display: flex;
    flex-direction: column;

}

.center-card {
    position: relative;
    border-radius: 15px;
    text-align: center;
    margin-bottom: 30px;
    width: 280px;
    height: 130px;

}

.center-card img {
    width:100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 2;
    /*transform: rotate(355deg);*/
}
.center-card::before {
    content: "";
    position: absolute;
    top: 0;
    left: 10px;
    width: 100%;
    height: 100%;

    background-color: #9d0606;
    border-radius: 10px;
    z-index: 1;
    transform: rotate(5deg);
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);
}
.time-info a {
    text-decoration: none;
    color: #57524e;
    font-weight: bold;
}


.description span {
    font-weight: bold;
    font-size: 23px;
}




.description {
    font-size: 18px;

}
.description span {
    font-size: 20px;
    text-transform: uppercase;
}
.time-info .text {
    font-size: 16px;
}

.icon.first img {
    width: 160px;
}

.icon.second img, .icon.three img, .icon.four img {
    width: 100px;
    height: 100px;
}
.photo-block-main {
    padding: 50px 0;
}
.dresscode {
    position: relative;
}
.dresscode.details {
    position: relative;
    overflow: visible;
}

.dresscode .container {
    text-align: center;
    /*display: flex;*/
    /*align-items: center;*/
    /*justify-content: center;*/
    /*flex-direction: column;*/
    padding-bottom: 45px ;
    position: relative;
    margin-top: -140px;
}
.dresscode-info-blocks {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
    gap: 5px;
    margin-top: 30px;
    margin-bottom: 30px;
}
.dresscode-info-blocks > * {
    /*margin: -10px; !* Используем отрицательные маргины для элементов *!*/
}
.dresscode-info-block {
    width: 60px;
    height: 60px;
    border-radius: 50%;
}
.dresscode-info-block.first {
    background-color: #403229;
}
.dresscode-info-block.second {
    background-color: #b8a59e;
}
.dresscode-info-block.three {
    background-color: #637061;
}
.dresscode-info-block.four {
    background-color: #959b8f;
}
.dresscode-info-block.five {
    background-color: black;
}
.dresscode-info-block img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    border-radius: 30px;
}
.dresscode-info {
    padding-left: 60px;
    text-align: left;
}
/*.photoandvideo-info {*/
/*    padding-left: 40px;*/
/*    text-align: left;*/
/*}*/
.dresscode-info.details-info {
    padding-left: 0;
    text-align: left;
}
.dresscode-info-text {
    font-size: 23px;
    color: #3f3731;

}
.dresscode-info-text span {
    font-family: "Caravan", sans-serif;
    font-size: 150px;
}
.phone {
    margin-top: 50px;
}
.circle-icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    color: white;
    font-size: 20px;
    text-decoration: none;
}

.circle-icon.phone {
    background-color: #9d0606; /* Тёмно-зелёный, телефонный стиль */
}
.dresscode-info-text.photo-block span {
    font-family: "Poiret One", sans-serif;
    font-size: 22px;
    font-weight: bold;

}
.organizer a {
    font-weight: bold;
    margin-bottom: 50px;
}


.obraz .container {
    position: relative;
    width: 100%;
    height: 350px;

}
.obraz {
    overflow: hidden;
}
.obraz-man  {
    padding-bottom: 250px;

}
.image-obraz-dop {
    position: absolute;
    right: 20px;
    bottom: -185px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}
.image-obraz-dop-text {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
}
.back {
    display: flex;
    top: 45px;
    left: 15px;
    position: absolute;
}


.back1, .back2, .back3 {
    background-color: #9d0606;
    width: 130px;
    height: 200px;
    border-radius: 5px;
    box-sizing: border-box;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);

}
.back1 {
    transform: rotate(3deg);
    z-index: 1;
}
.back2 {
    transform: rotate(3deg);
    z-index: 2;
    margin-top: 50px;
    margin-left: -10px;
}
.back3 {
    transform: rotate(5deg);
    margin-top: -20px;
    z-index: 3;
    margin-left: -25px;
}
.obraz-image {
    display: flex;
    top: 45px;
    left: 15px;
    position: absolute;
}
.image1, .image2, .image3, .image4 {
    width: 130px;
    height: 200px;
    border-radius: 5px;
    position: relative;

}


/* Общие стили для картинок */
.image1 img,
.image2 img,
.image3 img {
    width: 100%;  /* или нужный размер */
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
    position: absolute;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);
}/* Общие стили для картинок */

.image4 img{
    width: 100%;  /* или нужный размер */
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);
}

.image1 img {
    top: 5px;
    left: -5px;
    z-index: 6;
}
.image2 img {
    top: 44px;
    left: -26px;
    z-index: 5;
}
.image3 img {
    top: -18px;
    left: -40px;
    z-index: 4;
}

.dresscode .line {
    margin: 30px auto;
    background-color: #3f3731;
    width: 100px;
    height: 1px;
    z-index: 66666;

}


.organizer {
    padding-top: 100px;
    /*padding-bottom: 30px;*/
    background-color: #f9f9f9;
    position: relative;
    width: 100vw;
    color: #3f3731;
}

.organizer .container {
    text-align: center;
}


.organizer img {
    width: 250px;
    margin-bottom: 30px;
}

.organizer-text {
    font-size: 23px;
    margin-bottom: 30px;
}

.organizer-name {
    font-size: 30px;
    font-weight: bold;
    margin-bottom: 10px;
    color: #3f3731;
}

.organizer-name span {
    font-size: 20px;
}

.organizer a {
    font-size: 30px;
    text-decoration: none;
    outline: none;
    color: #3f3731;
    display: inline-block;
    cursor: pointer;
}

.organizer a:hover {
    color: #4f4a45;

}
.image-one {
    width: 100%;
    /*height: 300px;*/
}
.image-one img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}



.phone .telegram-link {
    margin-top: 13px;
}
.social-link {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    font-size: 22px;
    color: white;
    text-decoration: none;
    margin: 0 6px;
    vertical-align: middle;
}

.social-link i {
    line-height: 1;
    vertical-align: middle;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 36px; /* Увеличение размера */
    transition: transform 0.3s ease, color 0.3s ease;
}

.social-link.whatsapp i {
    color: #9d0606; /* Зеленый цвет WhatsApp */
}

.social-link.telegram i {
    color: #9d0606; /* Синий цвет Telegram */
}
.social-link.phone, .social-link.whatsapp {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    background-color: #9d0606; /* или любой нужный */
    text-decoration: none;
}
.social-link.phone i, .social-link.whatsapp i {
    color: white; /* Синий цвет Telegram */
    font-size: 20px;
}



.phone span {
    font-size: 30px;
    margin-right: 15px;
}

.presence {
    padding-bottom: 100px;
    /*padding-top: 80px;*/
    text-align: center;
}

.presence-text {
    text-align: center;
    font-size: 30px;
    margin-bottom: 30px;
    color: #3f3731;

}

.presence svg {
    width: 120px;
    height: 76px;
}

.des {
    font-size: 18px;
}

.wedding-form * {
    box-sizing: border-box;
}

.wedding-form {
    color: #3f3731;
    text-align: left;
    max-width: 700px;
    margin: 0 auto;
    padding: 20px;
    font-size: 30px;
    font-family: "Cormorant Infant", sans-serif;

    fieldset {
        border: none;
        margin-bottom: 15px;
    }

    legend {
        display: block;
        font-weight: bold;
        margin-bottom: 5px;
    }

    label {
        display: block;
        margin: 5px 0;
    }

    input[type="text"] {
        border: none;
        width: 100%;
        border-bottom: 1px solid #3f3731;
        outline: none;
        background: transparent;
        padding: 5px 0;
        font-size: 16px;
    }

    .wedding-form input[type="radio"],
    .wedding-form input[type="checkbox"],
    textarea {
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
    }

    textarea {
        min-height: 100px;
    }

    button {
        -webkit-appearance: none; /* Убирает дефолтные стили в Safari */
        -moz-appearance: none; /* Для Firefox */
        appearance: none;
        width: 100%;
        padding: 10px;
        background: transparent;
        color: #3f3731;
        border: 1px solid #3f3731;
        border-radius: 5px;
        cursor: pointer;
        font-size: 16px;

        &:hover {
            background: #4d4842;
        }
    }
}

@supports (-webkit-appearance: none) {
    .wedding-form {
        max-width: 700px;
        margin: 0 auto;
        padding: 20px;
        font-size: 30px;
        font-family: "Cormorant Infant", sans-serif;
    }

    fieldset {
        border: none !important;
        padding: 0;
    }

    legend {
        font-weight: bold;
        margin-bottom: 5px;
    }

    label {
        display: block;
        margin: 5px 0;
    }

    input[type="text"],
    textarea {
        width: 100%;
        padding: 8px;
        border: 1px solid #3f3731;
        border-radius: 5px;
        font-size: 16px;
        background-color: white;
    }

    textarea {
        min-height: 100px;
    }

    button {
        -webkit-appearance: none; /* Убирает дефолтные стили в Safari */
        -moz-appearance: none; /* Для Firefox */
        appearance: none; /* Общий сброс */
        background: white;
        width: 100%;
        padding: 10px;
        border: 1px solid black;
        color: black;
        border-radius: 5px;
        cursor: pointer;
        font-size: 16px;
        font-weight: bold;

        &:hover {
            background: gray;
        }

        &:focus {
            outline: none; /* Убирает синюю рамку при фокусе */
        }
    }
}

.timout {
    /*padding: 250px 0 30px 0;*/
    /*background-image: url("././images/7.png");*/
    background-color: #f9f9f9;
    position: relative;
    padding-top: 50px;
    z-index: 1;
    overflow: hidden;
}
.timout.footer {
    /*padding: 250px 0 30px 0;*/
    /*background-image: url("././images/7.png");*/
    position: relative;
    overflow: hidden;
    text-align: center;
    background-size: cover;
    background-position: center;       /* Центрирует изображение */
    background-repeat: no-repeat;
    z-index: 1;

}
.footer::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3); /* Прозрачный чёрный */
    z-index: 3;
}
.footer-bg {
    display: block;
    width: 100%;
    height: auto;
}

.timout.footer .container {
    max-width: none;
    position: absolute;
    top: 70%;
    left: 50%;
    transform: translateX(-50%);
    z-index: 4;
    width: 400px;
    color: white; /* Или чёрный, если фон светлый */
}

/* Содержимое должно быть выше затемнения */
.timout > * {
    position: relative;
    z-index: 2;
}
.timout .container {
    /*border: 1px solid white;*/
    padding-bottom: 50px;
    /*padding-top: 50px;*/
}

.timout-svg {
    text-align: center;
}

.timout-svg svg {
    width: 120px;
    height: 100px;
}

.timout-title {
    font-size: 36px;
    color: black;
    text-align: center;
    font-weight: bold;
    margin-bottom: 20px;
}
.timout-title.footer-title {
    font-size: 35px;
    color: white;
    text-align: center;
    font-weight: bold;
}
.timout-title span{
    font-family: "Felidae", sans-serif;
    font-size: 26px;
    font-weight: normal;
}

#countdown {
    display: flex;
    justify-content: center;
    gap: 10px;
}

.time-box {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    /*border: 1px solid #7a0f21;*/
    display: flex;
    flex-direction: column;
    align-items: center;
    color: black;
    text-align: center;
    position: relative;
    justify-content: center;

}

.progress-ring {
    position: absolute;
    top: 0;
    left: 0;
    width: 100px;
    height: 100px;
}

.time-box svg {
    transform: rotate(-90deg);
}

circle {
    fill: none;
}

.background {

}

.progress {
    stroke: black;
    transition: stroke-dashoffset 0.35s;
}

.time-box span {
    font-size: 18px;
    line-height: 1;
    z-index: 2222;
    transform: rotate(90deg);
}

.time-box p {
    margin: 5px 0 0;
    font-size: 14px;
    z-index: 222;
}

.time-text {
    font-size: 32px;
    fill: black;
    position: absolute;
    z-index: 10;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.time-text, .time-label {
    visibility: visible !important;
    opacity: 1 !important;
    z-index: 1;
    transform: rotate(90deg);
}

.time-label {
    font-size: 32px;
    fill: black;
    position: absolute;
    z-index: 10;
    top: 50%;
    left: 50%;
}


.chat {
    text-decoration: none;
    color: black;
    border: 2px solid #9d0606;
    border-radius: 10px;
    display: block;
    width: 250px;
    margin-top: 63px;
    text-align: center;
    box-sizing: border-box;
    padding: 15px 10px 15px 10px;
}
.chat:hover {
    background-color: white;
}